Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.TypeChecking.Monad.Open

Synopsis

- makeOpen :: a -> TCM (Open a)
- makeClosed :: a -> Open a
- getOpen :: Subst a => Open a -> TCM a
- tryOpen :: Subst a => Open a -> TCM (Maybe a)

# Documentation

makeOpen :: a -> TCM (Open a)

Create an open term in the current context.

makeClosed :: a -> Open a

Create an open term which is closed.

getOpen :: Subst a => Open a -> TCM a

Extract the value from an open term. Must be done in an extension of the context in which the term was created.

tryOpen :: Subst a => Open a -> TCM (Maybe a)